<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Subscription' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <div *ngIf="!this.cache?.isLoading">
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Active Subscription Plan' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'Currently Active Subscription Plan' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label>{{this.cache?.objects[0]?.subscriptionPlan?.name | translate}}</ion-label>
        </ion-item>
        <div>
          <ion-grid>
            <ion-row>
              <ion-label>
                <ion-icon name="cash"></ion-icon>
                {{ 'Amount ' | translate }}- Rs.{{this.cache?.objects[0]?.subscriptionPlan?.price}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="cash"></ion-icon>
                {{ 'Number of Accounts ' | translate }}-
                {{this.cache?.objects[0]?.subscriptionPlan?.residentAccountCount + this.cache?.objects[0]?.subscriptionPlan?.securityAccountCount + 1}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="analytics"></ion-icon>
                {{ 'Storage Space ' | translate }}- {{this.cache?.objects[0]?.subscriptionPlan?.storageLimit}} MB
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="time"></ion-icon>
                {{ 'Start Date ' | translate }}- {{getLocalTime(this.cache?.objects[0]?.startDate) | date:'medium'}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="exit"></ion-icon>
                {{ 'End Date ' | translate }}- {{getLocalTime(this.cache?.objects[0]?.endDate) | date:'medium'}}
              </ion-label>
            </ion-row>
          </ion-grid>
        </div>
        <!-- <ion-button *ngIf="user?.type === 'Society'" [routerLink]="url" routerOutlet="societyHome" routerDirection="root">{{ 'Upgrade/Renew Plan' | translate }}</ion-button> -->
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Storage' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'Used storage space' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label>
            {{this.societyCache?.objects[0]?.storage?.memory/1000000 | number : '1.2-2'}}/{{this.cache?.objects[0]?.subscriptionPlan?.storageLimit}} MB
          </ion-label>
        </ion-item>
        <ion-progress-bar value="{{this.societyCache?.objects[0]?.storage?.memory/1000000/this.cache?.objects[0]?.subscriptionPlan?.storageLimit}}">
        </ion-progress-bar>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Accounts' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'Accounts Linked to the Society' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label>
            {{this.societyCache?.objects[0]?.storage?.linkedAccounts}}/{{this.cache?.objects[0]?.subscriptionPlan?.residentAccountCount + this.cache?.objects[0]?.subscriptionPlan?.securityAccountCount + 1}}
          </ion-label>
        </ion-item>
        <ion-progress-bar
          value="{{this.societyCache?.objects[0]?.storage?.linkedAccounts/(this.cache?.objects[0]?.subscriptionPlan?.residentAccountCount + this.cache?.objects[0]?.subscriptionPlan?.securityAccountCount + 1)}}">
        </ion-progress-bar>
      </ion-card-content>
    </ion-card>
  </div>
  <div *ngIf="this.cache?.isLoading">
    <ion-card>
      <ion-card-header>
        <ion-card-title>
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-card-title>
        <ion-card-subtitle>
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-card-subtitle>
      </ion-card-header>

      <ion-card-content>
        <ion-item>
          <ion-label>
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-label>
        </ion-item>
        <div>
          <ion-skeleton-text animated></ion-skeleton-text>
          <ion-skeleton-text animated></ion-skeleton-text>
          <ion-skeleton-text animated></ion-skeleton-text>
          <ion-skeleton-text animated></ion-skeleton-text>
          <ion-skeleton-text animated></ion-skeleton-text>
        </div>
      </ion-card-content>
    </ion-card>
  </div>
</ion-content>
